## pianobooster 0.6.4.0

=== src/CMakeLists.txt ===
# Cmake File for Piano Booster
# for the debug build type cmake -DCMAKE_BUILD_TYPE=Debug
SET(CMAKE_BUILD_TYPE Release)
SET(CMAKE_VERBOSE_MAKEFILE OFF)
SET(USE_FLUIDSYNTH OFF)

# The inplace directory is mainly for windows builds
# SET(FLUIDSYNTH_INPLACE_DIR C:/download/misc/ljb/fluidsynth-1.0.9)
SET(FLUIDSYNTH_INPLACE_DIR /home/louis/build/fluidsynth-1.0.9)


# Testing precompiled headers  it does not work -- leave as OFF.
SET(USE_PCH OFF)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

IF(WIN32)
    MESSAGE("GUI system is WIN32 ${CMAKE_GENERATOR}")
    SET(CMAKE_COLOR_MAKEFILE OFF)
ENDIF(WIN32)

# set project's name
PROJECT( pianobooster )

# enable warnings
ADD_DEFINITIONS(-Wall)

# by default only QtCore and QtGui modules are enabled
# other modules must be enabled like this:
SET(QT_USE_QTOPENGL TRUE)
SET(QT_USE_QTXML TRUE)


FIND_PACKAGE( OpenGL REQUIRED )

# this command finds Qt4 libraries and sets all required variables
# note that it's Qt4, not QT4 or qt4
FIND_PACKAGE( Qt4 REQUIRED )

# add some useful macros and variables
# (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
INCLUDE( ${QT_USE_FILE} )

IF (USE_PCH)
INCLUDE(precompile/PCHSupport_26.cmake)
INCLUDE_DIRECTORIES( precompile .)
ENDIF(USE_PCH)


# Add in the link libraries for each operating system
IF(${CMAKE_SYSTEM} MATCHES "Linux")
    #FIND_PACKAGE(PkgConfig REQUIRED)
    #PKG_CHECK_MODULES(ALSA REQUIRED alsa>=1.0)
    #IF(ALSA_FOUND)
        ADD_DEFINITIONS(-D__LINUX_ALSASEQ__)
        LINK_LIBRARIES (asound)
    #ELSE(ALSA_FOUND)
    #    MESSAGE(FATAL_ERROR "Please install the 'libasound2-dev' package and then try again")
    #ENDIF(ALSA_FOUND)

ENDIF(${CMAKE_SYSTEM} MATCHES "Linux")

IF(${CMAKE_SYSTEM} MATCHES "Windows")
#    FIND_PACKAGE(WINDRES REQUIRED)
    ADD_DEFINITIONS(-D__WINDOWS_MM__ -D_WIN32)
    LINK_LIBRARIES(winmm opengl32)
ENDIF(${CMAKE_SYSTEM} MATCHES "Windows")

IF(${CMAKE_SYSTEM} MATCHES "Darwin")
    ADD_DEFINITIONS(-D__MACOSX_CORE__)
    LINK_LIBRARIES("-framework CoreMidi -framework CoreAudio -framework CoreFoundation -framework OpenGL")
ENDIF(${CMAKE_SYSTEM} MATCHES "Darwin")

IF(USE_FLUIDSYNTH)
    ADD_DEFINITIONS(-DPB_USE_FLUIDSYNTH)
    MESSAGE("Building using fluidsynth")
    SET( PB_BASE_SRCS MidiDeviceFluidSynth.cpp )

    IF(FLUIDSYNTH_INPLACE_DIR)
        INCLUDE_DIRECTORIES(${FLUIDSYNTH_INPLACE_DIR}/include/)
        IF(WIN32)
            LINK_LIBRARIES( ${FLUIDSYNTH_INPLACE_DIR}/src/.libs/libfluidsynth.dll.a)
        ENDIF(WIN32)
        IF(UNIX)
            LINK_LIBRARIES(${FLUIDSYNTH_INPLACE_DIR}/src/.libs/libfluidsynth.so)
        ENDIF(UNIX)
    ELSEIF(FLUIDSYNTH_INPLACE_DIR)
        LINK_LIBRARIES( fluidsynth)
    ENDIF(FLUIDSYNTH_INPLACE_DIR)
ENDIF(USE_FLUIDSYNTH)



# we need this to be able to include headers produced by uic in our code
# (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${OPENGL_INCLUDE_DIR} )

# tell CMake what libraries our executable needs,
# luckily FIND_PACKAGE prepared QT_LIBRARIES variable for us:
LINK_LIBRARIES( ${QT_LIBRARIES} )



SET(PB_BASE_SRCS MidiFile.cpp MidiTrack.cpp Song.cpp Conductor.cpp Util.cpp
    Chord.cpp Tempo.cpp MidiDevice.cpp MidiDeviceRt.cpp rtmidi/RtMidi.cpp ${PB_BASE_SRCS})
SET(PB_BASE_HDR MidiFile.h MidiTrack.h Song.h Conductor.h Rating.h Util.h
    Chord.h Tempo.h MidiDevice.h rtmidi/RtMidi.h)

# with SET() command you can change variables or define new ones
# here we define PIANOBOOSTER_SRCS variable that contains a list of all .cpp files
# note that we don't need \ at the end of line
SET( PIANOBOOSTER_SRCS
    QtMain.cpp
    QtWindow.cpp
    GuiTopBar.cpp
    GuiSidePanel.cpp
    GuiMidiSetupDialog.cpp
    GuiKeyboardSetupDialog.cpp
    GuiPreferencesDialog.cpp
    GuiSongDetailsDialog.cpp
    GuiLoopingPopup.cpp
    GlView.cpp
    ${PB_BASE_SRCS}
    StavePosition.cpp
    Score.cpp
    Cfg.cpp
    Piano.cpp
    Draw.cpp
    Scroll.cpp
    Notation.cpp
    TrackList.cpp
    Rating.cpp
    Bar.cpp
    Settings.cpp
    Merge.cpp
    #Band.cpp
    pianobooster.rc
    pianobooster.ico
#    precompile.h
)



# another list, this time it includes all header files that should be treated with moc
SET( PIANOBOOSTER_MOC_HDRS
    QtWindow.h
    GlView.h
    GuiTopBar.h
    GuiSidePanel.h
    GuiMidiSetupDialog.h
    GuiKeyboardSetupDialog.h
    GuiPreferencesDialog.h
    GuiSongDetailsDialog.h
    GuiLoopingPopup.h
)

# some .ui files
SET( PIANOBOOSTER_UIS
    ./GuiTopBar.ui
    ./GuiSidePanel.ui
    ./GuiMidiSetupDialog.ui
    ./GuiKeyboardSetupDialog.ui
    ./GuiPreferencesDialog.ui
    ./GuiSongDetailsDialog.ui
    ./GuiLoopingPopup.ui
)

# and finally an resource file
SET( PIANOBOOSTER_RCS
    ./application.qrc
)

# this command will generate rules that will run rcc on all files from PIANOBOOSTER_RCS
# in result PIANOBOOSTER_RC_SRCS variable will contain paths to files produced by rcc
QT4_ADD_RESOURCES( PIANOBOOSTER_RC_SRCS ${PIANOBOOSTER_RCS} )

# this will run uic on .ui files:
QT4_WRAP_UI( PIANOBOOSTER_UI_HDRS ${PIANOBOOSTER_UIS} )

# and finally this will run moc:
QT4_WRAP_CPP( PIANOBOOSTER_MOC_SRCS ${PIANOBOOSTER_MOC_HDRS} )


# here we instruct CMake to build "pianobooster" executable from all of the source files
IF(APPLE)
    ADD_EXECUTABLE( pianobooster MACOSX_BUNDLE ${PIANOBOOSTER_SRCS}
        ${PIANOBOOSTER_MOC_SRCS} ${PIANOBOOSTER_RC_SRCS}
        ${PIANOBOOSTER_UI_HDRS})
ENDIF(APPLE)

IF(UNIX)
    ADD_EXECUTABLE( pianobooster pianobooster.rc ${PIANOBOOSTER_SRCS}
        ${PIANOBOOSTER_MOC_SRCS} ${PIANOBOOSTER_RC_SRCS}
        ${PIANOBOOSTER_UI_HDRS} )
ENDIF(UNIX)

IF(WIN32)
    ADD_EXECUTABLE( pianobooster WIN32 pianobooster.rc ${PIANOBOOSTER_SRCS}
        ${PIANOBOOSTER_MOC_SRCS} ${PIANOBOOSTER_RC_SRCS}
        ${PIANOBOOSTER_UI_HDRS} )
ENDIF(WIN32)

SET_TARGET_PROPERTIES(pianobooster PROPERTIES LINK_FLAGS "-mwindows")

IF (USE_PCH)
ADD_PRECOMPILED_HEADER( pianobooster ${CMAKE_CURRENT_SOURCE_DIR}/precompile/precompile.h )
ENDIF (USE_PCH)


INSTALL( FILES pianobooster.desktop DESTINATION share/applications )
INSTALL(TARGETS pianobooster RUNTIME DESTINATION bin)
#INSTALL( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en  SUBDIR kmidimon )

INSTALL( FILES ../README.txt  DESTINATION share/doc/pianobooster )

INSTALL ( FILES images/pianobooster.png DESTINATION share/pixmaps )

## pianobooster 0.6.4

=== debian/changelog ===
pianobooster (0.6.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch to set linker flag -mwindows only on
    Windows. (Closes: #667322)

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 May 2012 18:13:25 +0200

pianobooster (0.6.4-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added Galician translation and improved Spanish. Thanks to Miguel Bouzada.

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 03 Dec 2011 17:27:22 +0100

pianobooster (0.6.4-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added support for translations: i18n.patch
  * Added Spanish translation
  * Fixed desktop file
  * Set the Games Team as Maintainer

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 30 Nov 2011 08:02:42 +0100

pianobooster (0.6.4-1) unstable; urgency=low

  * Initial release. Closes: #650398

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 29 Nov 2011 15:41:19 +0100

=== debian/control ===
Source: pianobooster
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), cmake, dh-buildinfo, quilt,
 qt4-qmake, libqt4-dev, libqt4-opengl-dev,
 mesa-common-dev, libglu1-mesa-dev, libasound2-dev
Standards-Version: 3.9.2
Homepage: http://pianobooster.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pianobooster/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pianobooster/?op=log

Package: pianobooster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pianobooster-dbg (= ${binary:Version})
Description: learn the piano just by playing a game
 Piano Booster is a new way to learn the piano just by playing a game. 
 It takes elements of the game Guitar Hero but now it uses a real piano
 keyboard and the game has been turned sideways so the notes scroll along
 a musical stave. So instead of pressing buttons on a fake guitar you end
 up learning to play a real musical instrument: the piano.
 .
 To run Piano Booster you need a MIDI Piano Keyboard and a MIDI interface
 for the PC. If you don't have a MIDI keyboard you can still try out
 PianoBooster, using the PC keyboard ('x' is middle C), but a MIDI piano
 is really recommended).

Package: pianobooster-dbg
Architecture: any
Section: debug
Priority: extra
Depends: pianobooster (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: learn the piano just by playing a game - debug
 Piano Booster is a new way to learn the piano just by playing a game. 
 It takes elements of the game Guitar Hero but now it uses a real piano
 keyboard and the game has been turned sideways so the notes scroll along
 a musical stave. So instead of pressing buttons on a fake guitar you end
 up learning to play a real musical instrument: the piano.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILD_TREE=$(CURDIR)/build-tree

config: config-stamp
config-stamp: 
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	
	# Perform an out-of-tree build to keep a clean source tree
	mkdir $(BUILD_TREE)
	cd $(BUILD_TREE); cmake $(CURDIR)/src/ \
		--debug-output \
		-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
		-DCMAKE_INSTALL_PREFIX:STRING="/usr" \
		-DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
		-DBUILD_STATIC:BOOL=ON \
		-DCMAKE_SHARED_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined" \
		-DCMAKE_EXE_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined" \
		-DCMAKE_INSTALL_RPATH:STRING="/usr/lib/games/pianobooster"
	touch $@

build: build-stamp
build-stamp: config
	dh_testdir
	cd $(BUILD_TREE); $(MAKE)
	cd src && lrelease *.ts
	touch $@

build-indep:

build-arch: build

clean: 
	dh_testdir
	dh_testroot
	rm -fv build-stamp config-stamp
	rm -fvr $(BUILD_TREE)
	rm -fv src/*.qm
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installmime
	dh_installman
	dh_link
	dh_strip --dbg-package=pianobooster-dbg
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

refresh-tr:
	dh_testdir
	-quilt push -a
	
	# Update translations
	cd $(CURDIR)/src/ && lupdate -verbose pianobooster.pro

binary: binary-indep binary-arch
.PHONY: config build build-indep build-arch clean binary-indep binary-arch binary install

## pianobooster 0.6.4b

=== debian/changelog ===
pianobooster (0.6.4b-2) unstable; urgency=low

  * Team upload.
  * Bump Standards-Version to 3.9.4, no changes.
  * Use canonical VCS-URI.
  * Remove quilt from Build-Depends because source format 3.0 uses quilt by
    default.
  * Remove superfluous substvar ${shlibs:Depends} from performous-dbg.
  * Add link-pthread-and-GL-explicitly.patch and fix FTBFS by linking the
    missing libraries in CMakelist.txt explicitly. (Closes: #713691)
  * Fix lintian error and do not set the library RPATH in debian/rules anymore.
    Use the normal library search path instead.
  * Update debian/copyright to copyright format 1.0. Fix spelling mistakes.
  * pianobooster.desktop: Add keywords.
  * Update debian/watch.

 -- Markus Koschany <apo@gambaru.de>  Tue, 02 Jul 2013 16:53:50 +0200

pianobooster (0.6.4b-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Upgraded debian/compat to 9.
  * Added patch: linker_opts.patch
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Changed my email address in debian/control to miriam@debian.org

  [ Martin Erik Werner ]
  * Use -DCMAKE_BUILD_TYPE=Debug to get a better debug package. Closes: #664473

  [ Paul Wise ]
  * Install a MIDI synthesizer and sounds by default. Closes: #650700

 -- Miriam Ruiz <miriam@debian.org>  Tue, 04 Dec 2012 00:44:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>
-Build-Depends: debhelper (>= 7), cmake, dh-buildinfo, quilt,
+Uploaders: Miriam Ruiz <miriam@debian.org>
+Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
  qt4-qmake, libqt4-dev, libqt4-opengl-dev,
  mesa-common-dev, libglu1-mesa-dev, libasound2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://pianobooster.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pianobooster/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pianobooster/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/pianobooster/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/pianobooster/
 
 Package: pianobooster
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: fluidsynth | timidity
 Suggests: pianobooster-dbg (= ${binary:Version})
 Description: learn the piano just by playing a game
  Piano Booster is a new way to learn the piano just by playing a game. 
@@ -31,7 +32,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: pianobooster (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: pianobooster (= ${binary:Version}), ${misc:Depends}
 Description: learn the piano just by playing a game - debug
  Piano Booster is a new way to learn the piano just by playing a game. 
  It takes elements of the game Guitar Hero but now it uses a real piano

=== debian/rules ===
--- 
+++ 
@@ -2,28 +2,32 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined
 
 BUILD_TREE=$(CURDIR)/build-tree
 
 config: config-stamp
 config-stamp: 
 	dh_testdir
-	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
-	
 	# Perform an out-of-tree build to keep a clean source tree
 	mkdir $(BUILD_TREE)
 	cd $(BUILD_TREE); cmake $(CURDIR)/src/ \
 		--debug-output \
+		-DCMAKE_BUILD_TYPE=Debug \
 		-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
 		-DCMAKE_INSTALL_PREFIX:STRING="/usr" \
-		-DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
+		-DCMAKE_C_FLAGS:STRING="$(CFLAGS) $(CPPFLAGS)" \
+		-DCMAKE_CXX_FLAGS:STRING="$(CXXFLAGS) $(CPPFLAGS)" \
 		-DBUILD_STATIC:BOOL=ON \
-		-DCMAKE_SHARED_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined" \
-		-DCMAKE_EXE_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined" \
-		-DCMAKE_INSTALL_RPATH:STRING="/usr/lib/games/pianobooster"
+		-DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS) $(LDFLAGS2)" \
+		-DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS) $(LDFLAGS2)"
 	touch $@
 
-build: build-stamp
 build-stamp: config
 	dh_testdir
 	cd $(BUILD_TREE); $(MAKE)
@@ -32,7 +36,9 @@
 
 build-indep:
 
-build-arch: build
+build-arch: build-stamp
+
+build: build-arch build-indep
 
 clean: 
 	dh_testdir
@@ -40,7 +46,6 @@
 	rm -fv build-stamp config-stamp
 	rm -fvr $(BUILD_TREE)
 	rm -fv src/*.qm
-	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
 	dh_clean 
 
 install: build
@@ -77,8 +82,6 @@
 
 refresh-tr:
 	dh_testdir
-	-quilt push -a
-	
 	# Update translations
 	cd $(CURDIR)/src/ && lupdate -verbose pianobooster.pro

## pianobooster 0.6.4.0

=== debian/changelog ===
pianobooster (0.6.4.0-1) unstable; urgency=medium

  * New Upstream Release.
  * Added build dependency: qt4-linguist-tools
  * Upgraded Standards-Version from 3.9.4 to 3.9.6
  * Removed Lintian warnings

 -- Miriam Ruiz <miriam@debian.org>  Fri, 27 Nov 2015 00:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <miriam@debian.org>
 Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
- qt4-qmake, libqt4-dev, libqt4-opengl-dev,
+ qt4-qmake, libqt4-dev, libqt4-opengl-dev, qt4-linguist-tools,
  mesa-common-dev, libglu1-mesa-dev, libasound2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://pianobooster.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/pianobooster/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/pianobooster/

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 build-stamp: config
 	dh_testdir
 	cd $(BUILD_TREE); $(MAKE)
-	cd src && lrelease *.ts
+	cd src && lrelease-qt4 *.ts
 	touch $@
 
 build-indep:
@@ -66,13 +66,11 @@
 	dh_installexamples
 	dh_install
 	dh_installmenu
-#	dh_installmime
 	dh_installman
 	dh_link
 	dh_strip --dbg-package=pianobooster-dbg
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
 	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
 	dh_installdeb
 	dh_shlibdeps

## pianobooster 0.6.7~svn156

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# set project's name
PROJECT( pianobooster )


ADD_SUBDIRECTORY(src build)
ADD_SUBDIRECTORY(translations build/translations)
ADD_SUBDIRECTORY(music build/music)

=== music/CMakeLists.txt ===
SET( MUSIC_FILES
     BoosterMusicBooks.zip

)

ADD_CUSTOM_TARGET(music ALL DEPENDS ${MUSIC_FILES})

IF (UNIX AND NOT APPLE)
    INSTALL( FILES ${MUSIC_FILES} DESTINATION share/pianobooster/music )
ENDIF (UNIX AND NOT APPLE)

IF (WIN32)
    INSTALL( FILES ${MUSIC_FILES} DESTINATION . )
ENDIF (WIN32)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,8 @@
     #IF(ALSA_FOUND)
         ADD_DEFINITIONS(-D__LINUX_ALSASEQ__)
         LINK_LIBRARIES (asound)
+        LINK_LIBRARIES (pthread)
+        LINK_LIBRARIES (GL)
     #ELSE(ALSA_FOUND)
     #    MESSAGE(FATAL_ERROR "Please install the 'libasound2-dev' package and then try again")
     #ENDIF(ALSA_FOUND)
@@ -214,10 +216,11 @@
 INSTALL(TARGETS pianobooster RUNTIME DESTINATION bin)
 #INSTALL( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en  SUBDIR kmidimon )
 
-INSTALL( FILES ../README.txt  DESTINATION share/doc/pianobooster )
+INSTALL( FILES ../README.txt  DESTINATION share/pianobooster/doc/ )
 
 INSTALL ( FILES images/pianobooster.png DESTINATION share/pixmaps )
 
-
-
-
+#INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/translations/*.qm  DESTINATION share/pianobooster/translations/ )
+
+
+

=== translations/CMakeLists.txt ===
SET( TRANSLATIONS_FILES
     pianobooster_ja.ts
     pianobooster_es.ts
)

QT4_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})
ADD_CUSTOM_TARGET(translations ALL DEPENDS ${QM_FILES})

IF (UNIX AND NOT APPLE)
    INSTALL( FILES ${QM_FILES}
             DESTINATION share/pianobooster/translations )
ENDIF (UNIX AND NOT APPLE)

IF (WIN32)
    INSTALL( FILES ${QM_FILES}
             DESTINATION . )
ENDIF (WIN32)

=== debian/changelog ===
pianobooster (0.6.7~svn156-1) unstable; urgency=medium

  [ Miriam Ruiz ]
  * Adapted changes for Debian
  * Refreshed patches
  * Added typos.patch and i18n.patch
  * Upgraded Standards-Version from 3.9.6 to 3.9.8
  * Added Daniel Gimpelevich to Uploaders

 -- Miriam Ruiz <miriam@debian.org>  Thu, 17 Nov 2016 01:08:17 +0100

pianobooster (0.6.7~svn156-0ppa2~trusty) trusty; urgency=medium

  * New Upstream Release.
  * Dropped link-pthread-and-GL-explicitly.patch, merged upstream
  * Dropped i18n.patch pending rebase
  * Reflected upstream i18n in debian/rules and debian/pianobooster.install
  * Rebased rtmidi-1.0.15.patch
  * Updated manpage
  * Added paths.patch and armel.patch

 -- Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>  Sat, 23 Oct 2016 04:19:54 -0700

pianobooster (0.6.4.0-1) UNRELEASED; urgency=medium

  * New Upstream Release.
  * Added build dependency: qt4-linguist-tools
  * Upgraded Standards-Version from 3.9.4 to 3.9.6

 -- Miriam Ruiz <miriam@debian.org>  Fri, 27 Nov 2015 00:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <miriam@debian.org>
+Uploaders: Miriam Ruiz <miriam@debian.org>, Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>
 Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
  qt4-qmake, libqt4-dev, libqt4-opengl-dev, qt4-linguist-tools,
  mesa-common-dev, libglu1-mesa-dev, libasound2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pianobooster.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/pianobooster/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/pianobooster/

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 build-stamp: config
 	dh_testdir
 	cd $(BUILD_TREE); $(MAKE)
-	cd src && lrelease-qt4 *.ts
+	cd src && lrelease-qt4 *.pro
 	touch $@
 
 build-indep:
@@ -45,7 +45,7 @@
 	dh_testroot
 	rm -fv build-stamp config-stamp
 	rm -fvr $(BUILD_TREE)
-	rm -fv src/*.qm
+	rm -fv translations/*.qm
 	dh_clean 
 
 install: build
@@ -84,4 +84,4 @@
 	cd $(CURDIR)/src/ && lupdate -verbose pianobooster.pro
 
 binary: binary-indep binary-arch
-.PHONY: config build build-indep build-arch clean binary-indep binary-arch binary install 
+.PHONY: config build build-indep build-arch clean binary-indep binary-arch binary install

=== debian/watch ===
# Watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=3

opts="versionmangle=s/(.*)([A-Za-z])$/$1$2/" \
http://sf.net/pianobooster/pianobooster-src-(.*)\.tar\.gz

## pianobooster 0.7.0

=== src/CMakeLists.txt ===
# Cmake File for Piano Booster
# for the debug build type cmake -DCMAKE_BUILD_TYPE=Debug
SET(CMAKE_BUILD_TYPE Release)
SET(CMAKE_VERBOSE_MAKEFILE OFF)

option(USE_FTGL "build with ftgl" ON)

#SET(USE_FLUIDSYNTH OFF)
#SET(USE_TIMIDITY OFF)

#SET(OpenGL_GL_PREFERENCE GLVND)
#
# The inplace directory is mainly for windows builds
# SET(FLUIDSYNTH_INPLACE_DIR C:/download/misc/ljb/fluidsynth-1.0.9)
# SET(FLUIDSYNTH_INPLACE_DIR /home/louis/build/fluidsynth-1.0.9)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

IF(WIN32)
    MESSAGE("GUI system is WIN32 ${CMAKE_GENERATOR}")
    SET(CMAKE_COLOR_MAKEFILE OFF)
ENDIF(WIN32)

# set project's name
PROJECT( pianobooster )

cmake_policy(SET CMP0020 NEW)
cmake_policy(SET CMP0043 NEW)

# enable warnings
add_compile_options(-Wall)

if (${CMAKE_BUILD_TYPE} MATCHES "Debug")
    ADD_DEFINITIONS(-DIS_DEBUG)
endif (${CMAKE_BUILD_TYPE} MATCHES "Debug")

if(USE_FONT)
    add_compile_options("-DUSE_FONT=\"${USE_FONT}\"")
endif(USE_FONT)

add_compile_options("-DPREFIX=\"${CMAKE_INSTALL_PREFIX}\"")

if (NOT DATA_DIR)
    set(DATA_DIR "share/games/pianobooster")
endif(NOT DATA_DIR)
add_compile_options("-DDATA_DIR=\"${DATA_DIR}\"")

if (NOT CMAKE_INSTALL_BINDIR)
  set(CMAKE_INSTALL_BINDIR "bin")
endif(NOT CMAKE_INSTALL_BINDIR)

MESSAGE("PREFIX: " ${CMAKE_INSTALL_PREFIX})
MESSAGE("DATA_DIR: " ${DATA_DIR})
MESSAGE("CMAKE_INSTALL_BINDIR: " ${CMAKE_INSTALL_BINDIR})

FIND_PACKAGE( OpenGL REQUIRED )

include(FindPkgConfig)
FIND_PACKAGE( PkgConfig REQUIRED )

if(USE_FTGL)
   pkg_check_modules(FTGL ftgl)
   if(NOT FTGL_FOUND)
      MESSAGE(FATAL_ERROR "FTGL was not found")
   endif(NOT FTGL_FOUND)

   SET(FTGL_INCLUDE_DIR ${FTGL_INCLUDE_DIRS})
   SET(FTGL_LIBRARY ${FTGL_LIBRARIES})
else(USE_FTGL)
    add_compile_options("-DNO_USE_FTGL")
endif(USE_FTGL)

if (NO_LANGS)
    add_compile_options("-DNO_LANGS")
endif(NO_LANGS)

# Finds Qt5 libraries
FIND_PACKAGE( Qt5 REQUIRED COMPONENTS Core Gui Widgets LinguistTools OpenGL Xml )

add_compile_options(-fPIC)

# Add in the link libraries for each operating system
IF(${CMAKE_SYSTEM} MATCHES "Linux")
    ADD_DEFINITIONS(-D__LINUX_ALSASEQ__)
    LINK_LIBRARIES (asound)
    LINK_LIBRARIES (pthread)
    LINK_LIBRARIES (GL)
ENDIF(${CMAKE_SYSTEM} MATCHES "Linux")

IF(${CMAKE_SYSTEM} MATCHES "Windows")
    ADD_DEFINITIONS(-D__WINDOWS_MM__ -D_WIN32)
    LINK_LIBRARIES(winmm opengl32)
ENDIF(${CMAKE_SYSTEM} MATCHES "Windows")

IF(${CMAKE_SYSTEM} MATCHES "Darwin")
    ADD_DEFINITIONS(-D__MACOSX_CORE__)
    LINK_LIBRARIES("-framework CoreMidi -framework CoreAudio -framework CoreFoundation -framework OpenGL")
ENDIF(${CMAKE_SYSTEM} MATCHES "Darwin")

IF(USE_FLUIDSYNTH)
    ADD_DEFINITIONS(-DPB_USE_FLUIDSYNTH)
    MESSAGE("Building using fluidsynth")
    SET( PB_BASE_SRCS MidiDeviceFluidSynth.cpp )

    IF(FLUIDSYNTH_INPLACE_DIR)
        INCLUDE_DIRECTORIES(${FLUIDSYNTH_INPLACE_DIR}/include/)
        IF(WIN32)
            LINK_LIBRARIES( ${FLUIDSYNTH_INPLACE_DIR}/src/.libs/libfluidsynth.dll.a)
        ENDIF(WIN32)
        IF(UNIX)
            LINK_LIBRARIES(${FLUIDSYNTH_INPLACE_DIR}/src/.libs/libfluidsynth.so)
        ENDIF(UNIX)
    ELSE(FLUIDSYNTH_INPLACE_DIR)
        pkg_check_modules(FLUIDSYNTH fluidsynth)
        if(NOT FLUIDSYNTH_FOUND)
            MESSAGE(FATAL_ERROR "FLUIDSYNTH was not found")
        endif(NOT FLUIDSYNTH_FOUND)
        LINK_LIBRARIES( fluidsynth)
    ENDIF(FLUIDSYNTH_INPLACE_DIR)
ENDIF(USE_FLUIDSYNTH)

# we need this to be able to include headers produced by uic in our code
# (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${OPENGL_INCLUDE_DIR} ${FTGL_INCLUDE_DIR} ${RTMIDI_INCLUDE_DIR})

SET(PB_BASE_SRCS MidiFile.cpp MidiTrack.cpp Song.cpp Conductor.cpp Util.cpp
    Chord.cpp Tempo.cpp MidiDevice.cpp MidiDeviceRt.cpp ${PB_BASE_SRCS})
SET(PB_BASE_HDR MidiFile.h MidiTrack.h Song.h Conductor.h Rating.h Util.h
    Chord.h Tempo.h MidiDevice.h)

# Check for Jack
find_library(JACK_LIB jack)
pkg_check_modules(JACK jack)
if(NOT JACK_FOUND)
    MESSAGE(FATAL_ERROR "JACK was not found")
endif(NOT JACK_FOUND)

SET(JACK_INCLUDE_DIR ${JACK_INCLUDE_DIRS})
SET(JACK_LIBRARY ${JACK_LIBRARIES})
IF (JACK_FOUND)
ADD_DEFINITIONS(-D__UNIX_JACK__)
ENDIF(JACK_FOUND)

IF (USE_SYSTEM_RTMIDI)
    add_compile_options("-DUSE_SYSTEM_RTMIDI")
    pkg_check_modules(RTMIDI rtmidi)
    if(NOT RTMIDI_FOUND)
        MESSAGE(FATAL_ERROR "RTMIDI was not found")
    endif(NOT RTMIDI_FOUND)
    SET(RTMIDI_INCLUDE_DIR ${RTMIDI_INCLUDE_DIRS})
    SET(RTMIDI_LIBRARY ${RTMIDI_LIBRARIES})
ELSE(USE_SYSTEM_RTMIDI)
    INCLUDE_DIRECTORIES("3rdparty")
    SET (PB_BASE_SRCS ${PB_BASE_SRCS} 3rdparty/rtmidi/RtMidi.cpp)
    SET (PB_BASE_HDR ${PB_BASE_HDR} 3rdparty/rtmidi/RtMidi.h)
ENDIF(USE_SYSTEM_RTMIDI)

if(USE_TIMIDITY)
    ADD_DEFINITIONS(-DPB_USE_TIMIDITY)
ENDIF(USE_TIMIDITY)


# with SET() command you can change variables or define new ones
# here we define PIANOBOOSTER_SRCS variable that contains a list of all .cpp files
# note that we don't need \ at the end of line
SET( PIANOBOOSTER_SRCS
    QtMain.cpp
    QtWindow.cpp
    GuiTopBar.cpp
    GuiSidePanel.cpp
    GuiMidiSetupDialog.cpp
    GuiKeyboardSetupDialog.cpp
    GuiPreferencesDialog.cpp
    GuiSongDetailsDialog.cpp
    GuiLoopingPopup.cpp
    GlView.cpp
    ${PB_BASE_SRCS}
    StavePosition.cpp
    Score.cpp
    Cfg.cpp
    Piano.cpp
    Draw.cpp
    Scroll.cpp
    Notation.cpp
    TrackList.cpp
    Rating.cpp
    Bar.cpp
    Settings.cpp
    Merge.cpp
    pianobooster.rc
    images/pianobooster.ico
)

# another list, this time it includes all header files that should be treated with moc
SET( PIANOBOOSTER_MOC_HDRS
    QtWindow.h
    GlView.h
    GuiTopBar.h
    GuiSidePanel.h
    GuiMidiSetupDialog.h
    GuiKeyboardSetupDialog.h
    GuiPreferencesDialog.h
    GuiSongDetailsDialog.h
    GuiLoopingPopup.h
)

# some .ui files
SET( PIANOBOOSTER_UIS
    ./GuiTopBar.ui
    ./GuiSidePanel.ui
    ./GuiMidiSetupDialog.ui
    ./GuiKeyboardSetupDialog.ui
    ./GuiPreferencesDialog.ui
    ./GuiSongDetailsDialog.ui
    ./GuiLoopingPopup.ui
)

# and finally an resource file
SET( PIANOBOOSTER_RCS
    ./application.qrc
)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# here we instruct CMake to build "pianobooster" executable from all of the source files
IF(APPLE)
    ADD_EXECUTABLE( pianobooster MACOSX_BUNDLE ${PIANOBOOSTER_SRCS}
        ${PIANOBOOSTER_MOC_SRCS} ${PIANOBOOSTER_RC_SRCS}
        ${PIANOBOOSTER_UI_HDRS} ${PIANOBOOSTER_RCS} )
ENDIF(APPLE)

IF(UNIX)
    ADD_EXECUTABLE( pianobooster ${PIANOBOOSTER_SRCS}
        ${PIANOBOOSTER_MOC_SRCS} ${PIANOBOOSTER_RC_SRCS}
        ${PIANOBOOSTER_UI_HDRS} ${PIANOBOOSTER_RCS} )
ENDIF(UNIX)

IF(WIN32)
    ADD_EXECUTABLE( pianobooster WIN32 ${PIANOBOOSTER_SRCS}
        ${PIANOBOOSTER_MOC_SRCS} ${PIANOBOOSTER_RC_SRCS}
        ${PIANOBOOSTER_UI_HDRS} ${PIANOBOOSTER_RCS} )
    SET_TARGET_PROPERTIES(pianobooster PROPERTIES LINK_FLAGS "-mwindows")
ENDIF(WIN32)

qt5_use_modules(pianobooster Core Gui Widgets LinguistTools OpenGL Xml)

if(${CMAKE_VERSION} VERSION_LESS "3.13.0")
    message("Please consider to switch to CMake 3.13.0")
else()
    target_link_directories(pianobooster PUBLIC ${FTGL_LIBRARY_DIRS} ${JACK_LIBRARY_DIRS})
endif()
target_link_libraries (pianobooster Qt5::Widgets Qt5::Xml Qt5::OpenGL ${OPENGL_LIBRARIES} ${FTGL_LIBRARY} ${RTMIDI_LIBRARY} ${JACK_LIBRARY})

INSTALL( FILES ../pianobooster.desktop DESTINATION share/applications )
INSTALL(TARGETS pianobooster RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

if(NOT NO_DOCS)
    INSTALL( FILES ../README.md DESTINATION share/doc/pianobooster/ )
    INSTALL( FILES ../doc/faq.md DESTINATION share/doc/pianobooster/ )
endif()

if(NOT NO_LICENSE)
    INSTALL( FILES ../license.txt DESTINATION share/licenses/pianobooster/ )
endif()

if(NOT NO_CHANGELOG)
    INSTALL( FILES ../Changelog.txt DESTINATION share/doc/pianobooster/ )
endif()

if(WITH_MAN)
    INSTALL( FILES ../pianobooster.6  DESTINATION share/man/man6/ )
endif()

if(WITH_TIMIDITY)
    INSTALL( FILES ../tools/timidity/pianobooster-timidity PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ DESTINATION ${CMAKE_INSTALL_BINDIR} )
    INSTALL( FILES ../tools/timidity/pianobooster-timidity.desktop DESTINATION share/applications )
endif()

if(WITH_FLUIDSYNTH)
    INSTALL( FILES ../tools/fluidsynth/pianobooster-fluidsynth PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ DESTINATION ${CMAKE_INSTALL_BINDIR} )
    INSTALL( FILES ../tools/fluidsynth/pianobooster-fluidsynth.desktop DESTINATION share/applications )
endif()

INSTALL ( FILES ../icons/hicolor/32x32/pianobooster.png DESTINATION share/icons/hicolor/32x32/apps )
INSTALL ( FILES ../icons/hicolor/48x48/pianobooster.png DESTINATION share/icons/hicolor/48x48/apps )
INSTALL ( FILES ../icons/hicolor/64x64/pianobooster.png DESTINATION share/icons/hicolor/64x64/apps )

IF (UNIX AND NOT APPLE)
    INSTALL ( FILES ../music/BoosterMusicBooks.zip DESTINATION ${DATA_DIR}/music )
ENDIF (UNIX AND NOT APPLE)

IF (WIN32)
    INSTALL( FILES ../music/BoosterMusicBooks.zip DESTINATION . )
ENDIF (WIN32)

if(USE_FONT)
    INSTALL ( FILES ${USE_FONT} DESTINATION ${DATA_DIR}/fonts)
endif(USE_FONT)

if(NOT USE_SYSTEM_FONT)
    INSTALL ( FILES fonts/DejaVuSans.ttf DESTINATION ${DATA_DIR}/fonts)
endif(NOT USE_SYSTEM_FONT)

if (NOT NO_LANGS)
    ADD_SUBDIRECTORY(../translations ../build/translations)
endif(NOT NO_LANGS)

=== translations/CMakeLists.txt ===
SET( TRANSLATIONS_FILES
     pianobooster_ca.ts
     pianobooster_cs.ts
     pianobooster_de.ts
     pianobooster_es.ts
     pianobooster_fr.ts
     pianobooster_gl.ts
     pianobooster_is.ts
     pianobooster_it.ts
     pianobooster_ja.ts
     pianobooster_nl.ts
     pianobooster_pl.ts
     pianobooster_ru.ts
     pianobooster_sv.ts
     pianobooster_uk.ts
     pianobooster_zh.ts
     music_ru.ts
     music_uk.ts
)

if(INSTALL_ALL_LANGS)
file (GLOB TRANSLATIONS_FILES "*.ts")   
endif()

get_filename_component(full_path_blank_ts ${CMAKE_CURRENT_SOURCE_DIR}/pianobooster_blank.ts ABSOLUTE)
list(REMOVE_ITEM TRANSLATIONS_FILES ${full_path_blank_ts})

get_filename_component(full_path_blank_ts ${CMAKE_CURRENT_SOURCE_DIR}/music_blank.ts ABSOLUTE)
list(REMOVE_ITEM TRANSLATIONS_FILES ${full_path_blank_ts})

FIND_PACKAGE(Qt5 REQUIRED COMPONENTS LinguistTools)

QT5_ADD_TRANSLATION(QM_FILES ${TRANSLATIONS_FILES})
ADD_CUSTOM_TARGET(translations ALL DEPENDS ${QM_FILES})

IF (UNIX AND NOT APPLE)
    INSTALL( FILES ${QM_FILES} DESTINATION ${DATA_DIR}/translations )
    INSTALL( FILES langs.json DESTINATION ${DATA_DIR}/translations )
ENDIF (UNIX AND NOT APPLE)

IF (WIN32)
    INSTALL( FILES ${QM_FILES} DESTINATION . )
    INSTALL( FILES langs.json DESTINATION . )
ENDIF (WIN32)

=== debian/changelog ===
pianobooster (0.7.0-1) unstable; urgency=medium

  * New upstream version
  * Remove upstreamed quilt patches
  * Tweak debian/rules to take advantage of upstream build enhancements
  * Stop incorrectly installing incorrect albeit scalable icon

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Sep 2019 11:44:51 +0100

pianobooster (0.6.8+git20190826.56b485f-1) unstable; urgency=medium

  [ Alexey Loginov ]
  * Better installation by 'make install'
  * Update dependencies
  * Update copyright
  * Update description

  [ Barak A. Pearlmutter ]
  * Adopt package
  * New upstream version, and updates thereof
    - include all 903 post-0.6.8 upstream commits, up to and including
      5a0ea7d1b37f1ea015217f1f7be82c3260aabf11 dated 2019-09-26
    - ported to qt5 (closes: #875089, #922813)
    - all quilt patches merged upstream
    - desktop file now upstream
    - man page now upstream
    - icon now upstream
    - README.txt becomes README.md
    - upstream installs without assistance; rm debian/*.install
  * Merge packaging mods made by upstream in pkgs/deb/* (thanks Alexey Loginov!)
  * Update packaging
    - bump policy, dh12
    - shorten debian/rules
    - scripts should automatically pass flags to cmake (closes: #883886)
    - allow debug package to be generated automatically
    - move packaging repo to salsa
    - misc simplifications and updates
    - menu file go bye bye (policy)
    - upstream now on github; adjust debian/watch uscan support file
  * merge upstream debian packaging branch, up to and including commit
    6255b5a40d6db26d1a8240c59aaac8a6ad8b4f3b dated 2019-06-19,
    manually merging relevant mods

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Sep 2019 11:45:09 +0100

pianobooster (0.6.8~git20180511-1) UNRELEASED; urgency=medium

  * New upstream (fork)
  * Patch applied by upstream, removed from debian/patch
  * New version ported to Qt5

 -- Fabien Givors <fabien.givors@chezlefab.net>  Fri, 11 May 2018 17:06:29 +0200

pianobooster (0.6.7~svn156-1librazik2) UNRELEASED; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - traduction de l'interface graphique en français.
    - ajout de morceaux MIDI et de partitions en PDF.
  * debian/patches/3000-traduction_interface_en_FR.patch :
    - création de la rustine (avec dquilt).
  * debian/patches/3001-LZK.patch :
    - création de la rustine (avec dquilt).
  * debian/series :
    - ajout de la rustine "3000-traduction_interface_en_FR.patch" (avec dquilt).
    - ajout de la rustine "3001-LZK.patch.
  * debian/resources :
    - extrait à partir de music/BoosterMusicBooks.zip .
  * debian/pianobooster.install :
    - ajout de l'installation des resources/* .
  * debian/resources/include-binaries :
    - ajout des resources/* .

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 12 Jan 2018 14:16:26 +0100

pianobooster (0.6.7~svn156-1librazik1) UNRELEASED; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - ajout d'un élément de menu en français.
  * debian/pianobooster.desktop :
    - ajout d'un nom et d'un commentaire en français.
  * debian/compat :
    - passage de 9 à 10.
  * debian/control :
    - mise à jour de "Maintainer" et de "Uploaders" en conformité avec
      "debian-policy 5.6.2 and 5.6.3".
    - listes :
      + style des listes : un élément par ligne.
      + remise en ordre alphabétique des listes.
    - dépendance de construction :
      + debhelper : passage de (>= 9) à (>= 10).
    - vérification de la validité du lien "Homepage". OK.
    - description :
      + ajout d'une mention au projet LibraZiK.
      + ajout d'un lien vers la page de documentation.
  * debian/copyright :
    - ajout de moi-même à la section copyright de l'empaquetage debian.
  * debian/menu :
    - suppression du fichier pour suivre la décision du comité (#741573).

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Thu, 11 Jan 2018 16:59:47 +0100

=== debian/control ===
Source: pianobooster
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>,
 Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 12), cmake,
 hicolor-icon-theme,
 libasound2-dev, libjack-dev, librtmidi-dev, libfluidsynth-dev,
 mesa-common-dev,
 libftgl-dev, libglu1-mesa-dev,
 libqt5opengl5-dev, qtbase5-dev, qttools5-dev,
 qt5-qmake, qtbase5-dev-tools, qtchooser
Standards-Version: 4.4.0
Homepage: https://github.com/captnfab/PianoBooster
Vcs-Git: https://salsa.debian.org/games-team/pianobooster.git
Vcs-Browser: https://salsa.debian.org/games-team/pianobooster

Package: pianobooster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 fluid-soundfont-gm, fluid-soundfont-gs, fluidsynth,
 fonts-dejavu-core,
 hicolor-icon-theme,
 timidity,
 unzip
Recommends:
 jackd2,
 qttranslations5-l10n
Description: Learn the piano just by playing a game
 A MIDI file player/game that displays the musical notes AND teaches you how
 to play the piano.
 .
 PianoBooster is a fun way of playing along with a musical accompaniment and
 at the same time learning the basics of reading musical notation.
 The difference between playing along to a CD or a standard MIDI file
 is that PianoBooster listens and reacts to what you are playing on a
 MIDI keyboard.
 .
 To run Piano Booster you need a MIDI Piano Keyboard and a MIDI interface
 for the PC. If you don't have a MIDI keyboard you can still try out
 PianoBooster, using the PC keyboard ('x' is middle C), but a MIDI piano
 is really recommended.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DUSE_SYSTEM_FONT=ON \
		-DINSTALL_ALL_LANGS=ON \
		-DUSE_SYSTEM_RTMIDI=ON \
		-DWITH_MAN=ON \
		-DWITH_FLUIDSYNTH=ON \
		-DWITH_TIMIDITY=ON \
		-DUSE_FLUIDSYNTH=ON \
		-DUSE_TIMIDITY=ON \
		-DNO_LICENSE=ON \
		-DNO_CHANGELOG=ON

# Not much benefit from compressing the little markdown documentation files.
override_dh_compress:
	dh_compress --exclude=.md

refresh-tr:
	dh_testdir
	@echo Update translations
	lupdate -verbose pianobooster.pro
